Summary:	An interactive Python tool for querying accessibility information
Summary(pl.UTF-8):	Interaktywne narzędzie w Pythonie do pobierania informacji o dostępności
Name:		accerciser
Version:	3.22.0
Release:	3
License:	BSD
Group:		X11/Applications/Accessibility
Source0:	http://ftp.gnome.org/pub/GNOME/sources/accerciser/3.22/%{name}-%{version}.tar.xz
# Source0-md5:	a6885691d7639c34ec83d5d6ff5389fe
URL:		https://wiki.gnome.org/Apps/Accerciser
BuildRequires:	at-spi2-core-devel >= 2.5.2
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	gtk+3-devel >= 3.1.13
BuildRequires:	intltool >= 0.40.0
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3.2
BuildRequires:	python3-pygobject3-devel >= 3.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.612
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	glib2 >= 1:2.26.0
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	atk
Requires:	gdk-pixbuf2 >= 2.0
Requires:	gtk+3 >= 3.1.13
Requires:	librsvg >= 2.0
Requires:	libwnck >= 3.0
Requires:	pango
Requires:	python3-ipython
Requires:	python3-modules >= 1:3.2
Requires:	python3-pyatspi
Requires:	python3-pycairo
Requires:	python3-pygobject3 >= 3.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An interactive Python accessibility explorer.

%description -l pl.UTF-8
Interaktywny eksplorator dostępności w Pythonie.

%prep
%setup -q

%build
%{__glib_gettextize}
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	am_cv_python_pythondir=%{py3_sitescriptdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/accerciser
%{py3_sitescriptdir}/accerciser
%{_datadir}/accerciser
%{_datadir}/appdata/org.gnome.accerciser.appdata.xml
%{_datadir}/glib-2.0/schemas/org.a11y.Accerciser.gschema.xml
%{_desktopdir}/accerciser.desktop
%{_iconsdir}/hicolor/*x*/apps/accerciser.png
%{_iconsdir}/hicolor/scalable/apps/accerciser.svg
%{_iconsdir}/hicolor/symbolic/apps/accerciser-symbolic.svg
%{_mandir}/man1/accerciser.1*
%changelog
* Thu Jul 05 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/accerciser.git;a=log;h=master

* Thu Jul 05 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> c906a55
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> c38783d
- python 3.6
- release 2 (by relup.sh)

* Sun Sep 25 2016 Jakub Bogusz <qboosh@pld-linux.org> 82f7c0a
- updated to 3.22.0 (GNOME 3 now)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> a1c4f7d
- updated gettext BR

* Mon Jun 06 2011 marti <marti@pld-linux.org> 5f763bd
- up to 1.12.1

* Sat Mar 26 2011 Jakub Bogusz <qboosh@pld-linux.org> 101623c
- sed 4 no longer used

* Sat Mar 26 2011 Jakub Bogusz <qboosh@pld-linux.org> ed996db
- en@shaw locale is now supported (via LANGUAGE)

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 522fe98
- Requires(post,postun): gtk-update-icon-cache

* Thu Sep 30 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 104be33
- updated to 1.12.0

* Tue Sep 21 2010 Elan Ruusamäe <glen@pld-linux.org> b7963c0
- release 4

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4629c1c
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 2473b21
- release 2

* Sat May 01 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 428810a
- updated to 1.10.1

* Thu Dec 31 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 373b5c1
- updated to 1.8.0

* Tue Dec 01 2009 sparky <sparky@pld-linux.org> fd6ef42
- BR: docbook-dtd412-xml, libxml2-progs, pkgconfig

* Sun May 10 2009 Marcin Banasiak <marcin.banasiak@gmail.com> f390ec7
- R: python-gnome-desktop-librsvg

* Fri Apr 17 2009 Marcin Banasiak <marcin.banasiak@gmail.com> afc8eb1
- updated to 1.6.1

* Tue Mar 24 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 3b96c9d
- updated to 1.6.0

* Fri Mar 13 2009 Marcin Banasiak <marcin.banasiak@gmail.com> e1cb222
- use X11/Applications/Accessibility

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> 925e29e
- release 2

